cpw.mods.fml.client.config

## Class GuiEditArrayEntries.BaseEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiEditArrayEntries.BaseEntry

- All Implemented Interfaces:
    GuiEditArrayEntries.IArrayEntry, GuiListExtended.IGuiListEntry
  Direct Known Subclasses:
    GuiEditArrayEntries.BooleanEntry, GuiEditArrayEntries.StringEntry
  Enclosing class:
    GuiEditArrayEntries

      public static class GuiEditArrayEntries.BaseEntry
      extends java.lang.Object
      implements GuiEditArrayEntries.IArrayEntry

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GuiButtonExt` | `btnAddNewEntryAbove`
    `protected GuiButtonExt` | `btnRemoveEntry`
    `protected IConfigElement` | `configElement`
    `protected boolean` | `isValidated`
    `protected boolean` | `isValidValue`
    `protected GuiEditArrayEntries` | `owningEntryList`
    `protected GuiEditArray` | `owningScreen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiEditArrayEntries.BaseEntry(GuiEditArray owningScreen, GuiEditArrayEntries owningEntryList, IConfigElement configElement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawEntry(int slotIndex, int x, int y, int listWidth, int slotHeight, Tessellator tessellator, int mouseX, int mouseY, boolean isSelected)`
    `void` | `drawToolTip(int mouseX, int mouseY)`
    `java.lang.Object` | `getValue()`
    `boolean` | `isValueSavable()`
    `void` | `keyTyped(char eventChar, int eventKey)`
    `void` | `mouseClicked(int x, int y, int mouseEvent)`
    `boolean` | `mousePressed(int index, int x, int y, int mouseEvent, int relativeX, int relativeY)`
    `void` | `mouseReleased(int index, int x, int y, int mouseEvent, int relativeX, int relativeY)`
    `void` | `updateCursorCounter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### owningScreen

          protected final GuiEditArray owningScreen

    - #### owningEntryList

          protected final GuiEditArrayEntries owningEntryList

    - #### configElement

          protected final IConfigElement configElement

    - #### btnAddNewEntryAbove

          protected final GuiButtonExt btnAddNewEntryAbove

    - #### btnRemoveEntry

          protected final GuiButtonExt btnRemoveEntry

    - #### isValidValue

          protected boolean isValidValue

    - #### isValidated

          protected boolean isValidated

  - ### Constructor Detail

    - #### GuiEditArrayEntries.BaseEntry

          public GuiEditArrayEntries.BaseEntry(GuiEditArray owningScreen,
                                       GuiEditArrayEntries owningEntryList,
                                       IConfigElement configElement)

  - ### Method Detail

    - #### drawEntry

          public void drawEntry(int slotIndex,
                       int x,
                       int y,
                       int listWidth,
                       int slotHeight,
                       Tessellator tessellator,
                       int mouseX,
                       int mouseY,
                       boolean isSelected)

      Specified by:
        `drawEntry` in interface `GuiListExtended.IGuiListEntry`

    - #### drawToolTip

          public void drawToolTip(int mouseX,
                         int mouseY)

      Specified by:
        `drawToolTip` in interface `GuiEditArrayEntries.IArrayEntry`

    - #### mousePressed

          public boolean mousePressed(int index,
                             int x,
                             int y,
                             int mouseEvent,
                             int relativeX,
                             int relativeY)

      Specified by:
        `mousePressed` in interface `GuiListExtended.IGuiListEntry`

    - #### mouseReleased

          public void mouseReleased(int index,
                           int x,
                           int y,
                           int mouseEvent,
                           int relativeX,
                           int relativeY)

      Specified by:
        `mouseReleased` in interface `GuiListExtended.IGuiListEntry`

    - #### keyTyped

          public void keyTyped(char eventChar,
                      int eventKey)

      Specified by:
        `keyTyped` in interface `GuiEditArrayEntries.IArrayEntry`

    - #### updateCursorCounter

          public void updateCursorCounter()

      Specified by:
        `updateCursorCounter` in interface `GuiEditArrayEntries.IArrayEntry`

    - #### mouseClicked

          public void mouseClicked(int x,
                          int y,
                          int mouseEvent)

      Specified by:
        `mouseClicked` in interface `GuiEditArrayEntries.IArrayEntry`

    - #### isValueSavable

          public boolean isValueSavable()

      Specified by:
        `isValueSavable` in interface `GuiEditArrayEntries.IArrayEntry`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `GuiEditArrayEntries.IArrayEntry`